{
	"type": "project",
	"repositories": [
		{
			"type": "vcs",
			"url": "https://github.com/nextcloud/openapi-extractor"
		}
	],
	"config": {
		"platform": {
			"php": "8.0.2"
		}
	},
	"require": {
		"php": ">=8.0"
	},
	"require-dev": {
		"phpunit/phpunit": "^9",
		"nextcloud/coding-standard": "^v1.1.1",
		"nextcloud/ocp": "^27.1.6",
		"symfony/console": "5.4.19",
		"vimeo/psalm": "^5.21"
	},
	"license": "AGPLv3",
	"scripts": {
		"lint": "find . -name \\*.php -not -path './vendor/*' -not -path './build/*' -not -path './tests/integration/vendor/*' -print0 | xargs -0 -n1 php -l",
		"cs:check": "php-cs-fixer fix --dry-run --diff",
		"cs:fix": "php-cs-fixer fix",
		"test:unit": "phpunit -c tests/phpunit.xml",
		"psalm": "psalm"
	}
}
